---
title: プライバシーリクエストのステータス
slug: uXtU_AhqpctYXd3REJ8qG
createdAt: 2025-08-12T21:15:13.774Z
---

{
  "id": "bEAVwPWOSGVEfxEwqc3Mb",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.forter-secure.com/privacy/requests/{id}/status",
    "servers": [
      {
        "url": "https://api.forter-secure.com/privacy/requests/{id}/status"
      }
    ],
    "name": "プライバシーリクエストのステータス",
    "description": "以前に提出されたプライバシーリクエストのステータスを確認します。",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "id",
          "type": "string",
          "description": ""
        }
      ],
      "headerParameters": [
        {
          "kind": "required",
          "name": "api-version",
          "type": "string",
          "example": "10.1",
          "description": "ターゲットとするAPIのバージョンを指定します。",
          "default": "10.1"
        },
        {
          "kind": "required",
          "name": "x-forter-siteid",
          "type": "string",
          "example": "a1b2c3d4e5f6",
          "description": "<p>アカウントに対するForter割り当てID。テストサイトのSite IDは本番サイトとは異なることに注意してください。</p>",
          "default": "8b47c6d423ba"
        },
        {
          "kind": "required",
          "name": "Authorization",
          "type": "string",
          "example": "Basic <base64-encoded-api-key:>",
          "description": "ユーザー名とパスワードの形式での基本認証。APIキーをユーザー名として使用し、パスワードは空のままにします。",
          "default": "Basic <base64-encoded-api-key:>"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "basicAuth",
          "name": "basicAuth",
          "kind": "optional",
          "type": "http",
          "scheme": "basic"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "プライバシーステータスレスポンスの例",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "特定のプライバシーリクエストのステータス情報を含むレスポンスオブジェクト。",
            "customType": "privacyStatusResponse",
            "schema": [
              {
                "name": "requestUniqueId",
                "kind": "required",
                "type": "string",
                "description": "このプライバシーリクエストの一意の識別子",
                "example": "",
                "default": "2023-04-23T060200931-ax32-privacy"
              },
              {
                "name": "status",
                "kind": "required",
                "type": "string<IN_PROGRESS | COMPLETED | CANCELED>",
                "description": "このプライバシーリクエストの現在のステータス",
                "example": "",
                "default": "IN_PROGRESS"
              }
            ],
            "modelRef": "#/components/schemas/privacyStatusResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "不正なリクエスト（しばしば必須パラメータが欠落している）",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "401",
        "description": "未認証（有効なAPIキーが提供されていない）",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "見つかりません（要求されたアイテムが存在しない）",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "500",
        "description": "サーバーエラー（Forter側で何かがうまくいかなかった）",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "example-0-curl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.forter-secure.com/privacy/requests/{id}/status \\\n     --header 'accept: application/json' \\\n     --header 'api-version: 10.1' \\\n     --header 'x-forter-siteid: 8b47c6d423ba' \\\n     --header 'authorization: Basic <base64-encoded-api-key:>'"
        },
        {
          "id": "example-1-javascript",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"api-version\", \"10.1\");\nmyHeaders.append(\"x-forter-siteid\", \"8b47c6d423ba\");\nmyHeaders.append(\"authorization\", \"Basic <base64-encoded-api-key:>\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.forter-secure.com/privacy/requests/{id}/status\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "example-2-ruby",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.forter-secure.com/privacy/requests/{id}/status\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"api-version\"] = \"10.1\"\nrequest[\"x-forter-siteid\"] = \"8b47c6d423ba\"\nrequest[\"authorization\"] = \"Basic <base64-encoded-api-key:>\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "example-3-python",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.forter-secure.com/privacy/requests/{id}/status\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'api-version': '10.1',\n   'x-forter-siteid': '8b47c6d423ba',\n   'authorization': 'Basic <base64-encoded-api-key:>'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "example-0-curl"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// プライバシーステータスレスポンスの例\n{\n  \"requestUniqueId\": \"\",\n  \"status\": \"\"\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// 不正なリクエスト（しばしば必須パラメータが欠落している）\n"
        },
        {
          "id": "response-2-401",
          "language": "401",
          "code": "// 未認証（有効なAPIキーが提供されていない）\n"
        },
        {
          "id": "response-3-404",
          "language": "404",
          "code": "// 見つかりません（要求されたアイテムが存在しない）\n"
        },
        {
          "id": "response-4-500",
          "language": "500",
          "code": "// サーバーエラー（Forter側で何かがうまくいかなかった）\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "id": "HRDlDkJGmgyKGanR4aijV",
      "type": "paragraph",
      "children": [
        {
          "text": "以前に提出されたプライバシーリクエストのステータスを確認します。"
        }
      ]
    }
  ]
}